fail() {
   echo "failed to process $f, exiting"
   exit 1
}
for f in ./*.flac
do
   ffmpeg -i "$f" -q:a 0 -vn "$(basename "$f" .flac).mp3"
   (( $? )) && fail
   echo "$f success"
done

read -ep "success. delete files? [yn] " YN
[[ ${YN,,} == y* ]] && rm ./*.flac
